#ifdef JFB_WITH_LIBHANGUL
#ifndef INCLUDE_CONV_H
#define INCLUDE_CONV_H
int conv_str(const char *fromenc, const char *toenc, unsigned char *fromstr, unsigned char *tostr);
#define CONV_SIZE 32

#if __BYTE_ORDER == __BIG_ENDIAN
#define CONV_UCS4_TO_UTF8(x, y) conv_str("UCS-4BE", "UTF-8", (x), (y))
#elif __BYTE_ORDER == __LITTLE_ENDIAN
#define CONV_UCS4_TO_UTF8(x, y) conv_str("UCS-4LE", "UTF-8", (x), (y))
#else
#error "FIXME: endian type undefined"
#endif
#define CONV_EUCKR_TO_UTF8(x, y) conv_str("EUC-KR", "UTF-8", (x), (y))
#define CONV_UTF8_TO_EUCKR(x, y) conv_str("UTF-8", "EUC-KR", (x), (y))

#endif /* INCLUDE_CONV_H */
#endif /* JFB_WITH_LIBHANGUL */
